import { world, system } from "@minecraft/server";
    

world.beforeEvents.worldInitialize.subscribe(initEvent => { initEvent.itemComponentRegistry.registerCustomComponent('nas_glowfish:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:speed", 600, {amplifier: 5});
e.source.addEffect("minecraft:water_breathing", 1200, {amplifier: 2});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_hot_pot:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:speed", 600, {amplifier: 1});
e.source.addEffect("minecraft:strength", 600, {amplifier: 1});
e.source.addEffect("minecraft:water_breathing", 600, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_banana:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:instant_health", 100, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_glofish_red:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:fire_resistance", 1200, {amplifier: 2});
e.source.addEffect("minecraft:jump_boost", 680, {amplifier: 2});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_poison_fish:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:nausea", 300, {amplifier: 5});
e.source.addEffect("minecraft:poison", 280, {amplifier: 2});
e.source.addEffect("minecraft:weakness", 500, {amplifier: 2});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_creeper_choclate_drink:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:instant_damage", 600, {amplifier: 1});
e.source.addEffect("minecraft:jump_boost", 600, {amplifier: 1});
e.source.addEffect("minecraft:mining_fatigue", 600, {amplifier: 1});
e.source.addEffect("minecraft:regeneration", 600, {amplifier: 1});
e.source.addEffect("minecraft:slowness", 600, {amplifier: 1});
e.source.addEffect("minecraft:strength", 600, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_glowberry_pie:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:night_vision", 2400, {amplifier: 4});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_gold_carrot:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:instant_health", 100, {amplifier: 1});
e.source.addEffect("minecraft:jump_boost", 1140, {amplifier: 3});
e.source.addEffect("minecraft:regeneration", 240, {amplifier: 1});
e.source.addEffect("minecraft:resistance", 960, {amplifier: 5});
e.source.addEffect("minecraft:speed", 1200, {amplifier: 4});
e.source.addEffect("minecraft:strength", 540, {amplifier: 2});
e.source.addEffect("minecraft:water_breathing", 900, {amplifier: 9});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_super_cod:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:conduit_power", 600, {amplifier: 1});
e.source.addEffect("minecraft:jump_boost", 600, {amplifier: 1});
e.source.addEffect("minecraft:speed", 600, {amplifier: 1});
e.source.addEffect("minecraft:water_breathing", 600, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_cookie_pizza:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:slow_falling", 600, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_strawberry_cupcake:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:village_hero", 600, {amplifier: 5});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_heart_cookie:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:health_boost", 1200, {amplifier: 4});
e.source.addEffect("minecraft:instant_health", 1200, {amplifier: 4});
e.source.addEffect("minecraft:regeneration", 1200, {amplifier: 4});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_blueberry_cupcake:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:water_breathing", 1500, {amplifier: 2});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_blue_soup:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:levitation", 1200, {amplifier: 3});
e.source.addEffect("minecraft:slow_falling", 2400, {amplifier: 2});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_glowberry_slice:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:night_vision", 1200, {amplifier: 2});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_sunflower_oil:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:nausea", 120, {amplifier: 3});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_legend_sound:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:absorption", 600, {amplifier: 1});
e.source.addEffect("minecraft:fire_resistance", 600, {amplifier: 1});
e.source.addEffect("minecraft:haste", 600, {amplifier: 1});
e.source.addEffect("minecraft:health_boost", 600, {amplifier: 1});
e.source.addEffect("minecraft:instant_health", 600, {amplifier: 1});
e.source.addEffect("minecraft:invisibility", 600, {amplifier: 1});
e.source.addEffect("minecraft:jump_boost", 600, {amplifier: 1});
e.source.addEffect("minecraft:night_vision", 600, {amplifier: 1});
e.source.addEffect("minecraft:regeneration", 600, {amplifier: 1});
e.source.addEffect("minecraft:resistance", 600, {amplifier: 1});
e.source.addEffect("minecraft:slow_falling", 600, {amplifier: 1});
e.source.addEffect("minecraft:speed", 600, {amplifier: 1});
e.source.addEffect("minecraft:strength", 600, {amplifier: 1});
e.source.addEffect("minecraft:water_breathing", 600, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_choclate_bar:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:speed", 1840, {amplifier: 6});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_soup_mix:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:village_hero", 600, {amplifier: 4});
e.source.addEffect("minecraft:invisibility", 600, {amplifier: 6});
e.source.addEffect("minecraft:resistance", 600, {amplifier: 4});
e.source.addEffect("minecraft:wither", 600, {amplifier: 2});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_green_glowfish:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:regeneration", 4000, {amplifier: 5});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_purplesoup:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:bad_omen", 2400, {amplifier: 1});
e.source.addEffect("minecraft:conduit_power", 2400, {amplifier: 1});
e.source.addEffect("minecraft:health_boost", 2400, {amplifier: 1});
e.source.addEffect("minecraft:village_hero", 2400, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_eyeball:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:night_vision", 1800, {amplifier: 10});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_dolphinmeat:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:speed", 1200, {amplifier: 1});
e.source.addEffect("minecraft:water_breathing", 1500, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_brown_soupp:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:wither", 300, {amplifier: 2});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_bat_meat:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:night_vision", 900, {amplifier: 1});
e.source.addEffect("minecraft:speed", 940, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_flesh_on_bone:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:instant_damage", 600, {amplifier: 1});
e.source.addEffect("minecraft:instant_health", 600, {amplifier: 1});
e.source.addEffect("minecraft:jump_boost", 600, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('nas_goldbeetroot:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:speed", 1780, {amplifier: 6});
  
},

  
});
 });
